<div class="container">
    <mat-list class="mat-list-base">
        <div mat-subheader class="marker-title">Markierte Standorte</div>
        <h1 *ngIf="markerService.list.length === 0" style="text-align: center !important;"><mat-icon>highlight_alt</mat-icon></h1>
        <h5 *ngIf="markerService.list.length === 0" style="text-align: center !important;">Bitte klicken Sie auf einem Standort!</h5>
            <mat-card class="example-card" style="display: block !important;" *ngFor="let item of markerService.list">
                <mat-card-header>
                    <div mat-card-avatar><mat-icon>room</mat-icon></div>
                    <mat-card-title>Marker</mat-card-title>
                    <mat-card-subtitle>{{item.lat}}/{{item.lng}}</mat-card-subtitle>
                </mat-card-header>
                <mat-card-content>
                    <mat-form-field style="width: 100% !important">
                        <mat-label>Beschreibung</mat-label>
                        <label for="dis" *ngIf="false"></label>
                        <input matInput id="dis" (change)="markerService.reload.next(item.description)"
                               [(ngModel)]="item.description">
                    </mat-form-field>
                </mat-card-content>
                <mat-card-actions>
                    <button mat-raised-button color="primary" (click)="markerService.goToMarker.next(item); (menuService.small ? menuService.open = false : null)"><mat-icon>room</mat-icon></button>
                    <button mat-raised-button color="{{markerService.findRouterMarker(item) ? 'warn' : 'accent'}}"
                            (click)="markerService.findRouterMarker(item) ? markerService.removeRouterMarker(item) : markerService.addRoutingMarker(item)"><mat-icon>maps_ugc</mat-icon></button>
                    <button mat-raised-button color="warn" (click)="remove(item)"><mat-icon>delete</mat-icon></button>
                </mat-card-actions>
            </mat-card>
    </mat-list>
</div>
<div class="menu-box" (mouseover)="markerService.blockSetMarker = true"
     (mouseleave)="markerService.blockSetMarker = false"  *ngIf="menuService.small"
     (click)="menuService.open = !menuService.open; markerService.map = markerService.map">
    <button mat-mini-fab color="primary">
        <mat-icon>{{menuService.open ? 'menu' : 'menu_open'}}</mat-icon>
    </button>
</div>
